Retrieve User's data by filters

Retrieves users based on specified query parameters.

POST
/insights/userprofiles

Retrieves users based on specified query parameters.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Query Parameters

region?string

The region to filter results by.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cloud-api.loginradius.com/insights/userprofiles?region=us-east-1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "total": 0,
  "aggregations": {}
}

{
  "ErrorCode": 908,
  "Message": "A parameter is not formatted correctly in the request, please check all the parameters in the API call.",
  "Description": "The apikey is a required parameter,The apisecret is a required parameter."
}

{
  "ErrorCode": 909,
  "Message": "Your LoginRadius site does not have permission to access this endpoint",
  "Description": "Your LoginRadius site does not have permission to access this endpoint, please contact LoginRadius support for more information."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}